Subject: Re: [PATCH net-next] mctp i2c: notify user space on TX failure

From: Jakub Kicinski <[email-masked]>
Date: Wed, 13 Nov 2024 19:19:09 -0800

On Thu, 14 Nov 2024 11:13:33 +0800 Jeremy Kerr wrote:
> > notifying socket in the xmit handler of a netdev is a bit strange,
> > could you do it somewhere higher in the MCTP stack?  
> 
> Sounds like that would be useful in general for MCTP, but we don't have
> a facility for that at present.  Any existing implementation you would
> suggest modelling this on?

routing isn't really my forte, TBH, what eats the error so that it
doesn't come out of mctp_local_output() ? Do you use qdiscs on top
of the MCTP devices?